import { Done } from '../../../../../Class/Functional/Done';
import { Fail } from '../../../../../Class/Functional/Fail';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
import { V } from '../../../../../types/interface/V';
export interface I<T> {
    value: V<T>;
    any: any;
}
export interface O<T> {
    data: T;
    done: any;
}
export default class Read<T> extends Semifunctional<I<T>, O<T>> {
    constructor(system: System);
    f({ value, any }: I<T>, done: Done<O<T>>, fail: Fail): void;
    b(): void;
}
